Developers
API ReferenceVacation Available

Retrieves a VacationAvailable resource.

GET
/calendar/vacation-availables/{id}

Retrieves a VacationAvailable resource.

Authorization<token>

Value for the Authorization header parameter.

In: header

Path Parameters

id*string

VacationAvailable identifier

Response Body

curl -X GET "https://example.com/calendar/vacation-availables/string"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "year": 0,  "daysTransferred": 0,  "daysCurrentYear": 0,  "daysAvailable": 0,  "daysUsed": 0,  "calendarUser": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phoneNumber": "string",    "pictureSm": "string",    "pictureLg": "string",    "canLogIn": true,    "isExternal": true,    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "jobPositionName": "string",    "decorator": "string"  },  "permissions": {    "canManage": null  }}